name: flutter_client
description: A new Flutter project.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 0.0.14+14

environment:
  sdk: ">=2.16.1 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  get: ^4.6.1

  permission_handler: ^10.2.0
  shared_preferences: ^2.0.13

  grpc: ^3.0.2
  protobuf: ^2.0.1

  google_fonts: ^3.0.1
  # cupertino_icons: ^1.0.2
  eva_icons_flutter: ^3.1.0
  flutter_svg: ^1.0.3
  flutter_spinkit: ^5.1.0
  fluttertoast: ^8.0.9
  rflutter_alert: ^2.0.4
  confirm_dialog: ^1.0.1
  country_code_picker: ^2.0.2
  pull_to_refresh: ^2.0.0
  auto_size_text: ^3.0.0
  flutter_easyloading: ^3.0.5
  flutter_screenutil: ^5.6.0

  platform_device_id: ^1.0.1
  device_info_plus: ^8.0.0

  cron: ^0.5.1
  flutter_background: ^1.1.0
  url_launcher: ^6.0.20

  image: ^4.0.8
  camera: ^0.10.1
  google_ml_kit: ^0.13.0
  # tflite_flutter: ^0.9.0
  tflite_flutter: 
      git:
        url: https://github.com/yingshaoxo/tflite_flutter_plugin.git
        ref: d31b0a78ca36f21636de9c72acdf2919e8f3a1e6

  livekit_client: 1.2.1
  flutter_image_compress: ^1.1.3
  geolocator: ^9.0.2
  smooth_compass: ^2.0.4
  flutter_map: ^3.1.0
  flutter_email_sender: ^5.2.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^2.0.1
  test: ^1.21.4

flutter:
  assets:
    - assets/images/
    - assets/ml_models/mobilefacenet/
    - assets/ml_models/gender_and_age/

  uses-material-design: true